2022-05-17 17:47 AEST

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0000545mercuryBugpublic2022-02-22 02:50
Reporterjuliensf 
Assigned Tozs 
PrioritynormalSeverityminorReproducibilityhave not tried
StatusresolvedResolutionfixed 
Product Version 
Target VersionFixed in Version 
Summary0000545: Data constructor named "event" results in invalid optimisation interface
DescriptionThe attached program has been extracted from <https://github.com/dzyr/mercury-xml>.
It illustrates a problem where a type has a data constructor named event, which becomes
the subject of a direct_arg clause in the optimisation interface. This causes a syntax error
when reading in xml_read.opt because event is not escaped using parentheses.

Steps To Reproducemmc --intermod-opt --make use_xml_read
TagsNo tags attached.
Attached Files

-Relationships
+Relationships

-Notes

~0001178

zs (developer)

Fix committed 2022 feb 9.
+Notes

-Issue History
Date Modified Username Field Change
2022-02-06 15:22 juliensf New Issue
2022-02-06 15:22 juliensf File Added: event_bug.tar.gz
2022-02-09 17:39 zs Assigned To => zs
2022-02-09 17:39 zs Status new => assigned
2022-02-22 02:50 zs Status assigned => resolved
2022-02-22 02:50 zs Resolution open => fixed
2022-02-22 02:50 zs Note Added: 0001178
+Issue History